/* Container for the carousel */
.carousel-container {
  padding: 10px;
  width: 100%;
  overflow: hidden;
  display: flex;
  justify-content: center;
  align-items: center;
  position: relative;
  margin: 0 auto;
}

/* Wrapper for the logos */
.carousel-wrapper {
  display: flex;

  width: auto;
  /* fallback for max-content */
  width: max-content;

  animation: scrollCarousel 18s linear infinite;
}

/* Individual logo card */
.logo-card {
  display: flex;

  justify-content: center;

  align-items: center;

  width: 120px;
  height: 120px;
  border-radius: 15px;
  background-color: #fff;
  margin-right: 20px;
  padding: 10px;

  box-shadow: 0 4px 8px rgba(0, 0, 0, 0.1);

  transition: transform 0.3s ease;
}

.logo-card:hover {
  transform: translateY(-5px);
}

/* Logo inside card */
.logo-img {

  width: 100%;
  height: auto;

  /* fallback */
  max-width: 100%;

  object-fit: contain;
}

/* Animation */

@keyframes scrollCarousel {
  0% {
    transform: translateX(0);
  }

  100% {
    transform: translateX(50%);
  }
}

/* Responsive adjustments */

@media (max-width:1200px) {
  .logo-card {
    width: 100px;
    height: 100px;
  }

  .logo-img {
    width: 90px;
  }
}

@media (max-width:768px) {
  .logo-card {
    width: 80px;
    height: 80px;
  }

  .logo-img {
    width: 70px;
  }
}

@media (max-width:480px) {
  .logo-card {
    width: 70px;
    height: 70px;
  }

  .logo-img {
    width: 60px;
  }
}

/* Buttons */

.carousel-btn {
  position: absolute;
  top: 50%;

  transform: translateY(-50%);

  font-size: 1rem;
  background: rgba(0, 0, 0, 0.5);
  color: #fff;
  border: none;
  padding: 10px;
  cursor: pointer;
  z-index: 10;
  border-radius: 50%;
}

.carousel-btn.left {
  left: 10px;
}

.carousel-btn.right {
  right: 10px;
}

.carousel-btn:hover {
  background: rgba(0, 0, 0, 0.7);
}

.carousel-wrapper:hover {
  animation-play-state: paused;
}

.carousel-wrapper {
  animation-play-state: running;
}

/* #pause-btn:focus {
  outline: none;
  box-shadow: 0 0 5px 3px rgba(0, 0, 255, 0.6);
  background-color: rgba(0, 0, 0, 0.8);
  border-color: rgba(0, 0, 0, 0.8);
} */
#pause-btn:focus {
    background-color: #1372eb;
    border-color: #0b3d91; /* darker contrast */
    outline: none;
}

#pause-btn {
  position: absolute;
  top: 50%;

  transform: translateY(-50%);

  padding: 0;
  font-size: 24px;
  background-color: rgba(0, 0, 0, 0.5);
  border-radius: 50%;
  color: #fff;
  z-index: 2;

  width: 40px;
  height: 40px;

  display: flex;

  align-items: center;

  justify-content: center;
}

.padright {
  display: block;
  margin-left: auto;
  margin-right: auto;
  max-width: 100%;
  height: auto;
}